<?php
/**
 * function wpminv_client_meta_boxes()
 *
 * adds custom meta boxes to the post edit screens
 */
function wpminv_client_meta_boxes( $meta_boxes ) {
		
	/* set a prefix for all meta keys */
	$prefix = '_wpminv_';
	
	/* add the meta box for person info */
	$meta_boxes[] = array(
        'title' 	=> __( 'Client Details', 'simvoicing' ),
        'pages'		=> array(
        	'wpminv_client',
        ),
        'context'	=> 'normal',
        'priority'	=> 'default',
        'fields'	=> array(
	        array( 
				'id'	=> $prefix . 'company_name', 
				'name'	=> __( 'Company Name', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 12
			),
			array( 
				'id'	=> $prefix . 'first_name', 
				'name'	=> __( 'First Name', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'last_name', 
				'name'	=> __( 'Last Name', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'address_one', 
				'name'	=> __( 'Address - Street', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'address_two', 
				'name'	=> __( 'Address Two', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'address_towncity', 
				'name'	=> __( 'Town/City', 'simvoicing' ), 
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'address_postcode', 
				'name'	=> __( 'Postcode', 'simvoicing' ), 
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'email', 
				'name'	=> __( 'Email', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'tel', 
				'name'	=> __( 'Tel.', 'simvoicing' ),
				'type'	=> 'text',
				'cols'	=> 6
			),
			array( 
				'id'	=> $prefix . 'notes', 
				'name'	=> __( 'Client Notes', 'simvoicing' ),
				'type'	=> 'wysiwyg',
				'cols'	=> 12,
				'options'	=> array(
					'media_buttons'	=> false,
					'textarea_rows'	=> 6
				)
			),
        )
    );
    
    return $meta_boxes;

}

add_filter( 'cmb_meta_boxes', 'wpminv_client_meta_boxes' );