<?php
/**
 * @class Number_Field
 * @extends the CMB_Field class
 *
 * provides the output and saving validation for our new
 * extra number field type
 */
class Number_Field extends CMB_Field {
	
	public function html() {
        ?>
        <p>
            <input type="number" name="<?php echo $this->name ?>" value="<?php echo esc_attr( $this->get_value() ) ?>" />
        </p>
        <?php
    }
    
    public function parse_save_value() {
		$this->value = absint( $this->value );
    }
	
}

/**
 * function wpminv_register_additional_field_types()
 *
 * register our additional field types with the custom meta boxes
 * framework code so we can use them when declaring meta box fields
 */
function wpminv_register_additional_field_types( $cmb_field_types ) {
	
	/* add our number field type to the meta box field types array */
	$cmb_field_types[ 'number' ] = 'Number_Field'; // Number_field is the class used to output the field
    
    /* return the modified array if field types */
    return $cmb_field_types;
	
}

add_filter( 'cmb_field_types', 'wpminv_register_additional_field_types' );