<?php
/**
 * function wpminv_team_post_type()
 *
 * registers the custom post types for the plugin
 * @hooked init
 */
function wpminv_team_post_type() {
	
	/* set up the arguments for the article post type */
	$client_args = array(
		
		'description'			=> '',
		'public'				=> false,
		'publicly_queryable'	=> true,
		'show_in_nav_menus'		=> false,
		'show_in_admin_bar'		=> false,
		'exclude_from_search'	=> true,
		'show_ui'				=> true,
		'show_in_menu'			=> false,
		'can_export'			=> true,
		'delete_with_user'		=> false,
		'hierarchical'			=> false,
		'has_archive'			=> false,
		'menu_icon'				=> 'dashicons-businessman',
		'query_var'				=> 'wpminv_client',
		'menu_position'			=> 33,
		
		/* The rewrite handles the URL structure */
		'rewrite' => array(
			'slug' => 'client'
		),
		
		/* what features the post type supports */
		'supports' => array(
			'slug',
		),
		
		/* Labels used when displaying the posts */
		'labels' => array(
			'name'               => __( 'Clients', 'simvoicing' ),
			'singular_name'      => __( 'Client', 'simvoicing' ),
			'menu_name'          => __( 'Clients', 'simvoicing' ),
			'add_new'            => __( 'Add New', 'simvoicing' ),
			'add_new_item'       => __( 'Add New Client', 'simvoicing' ),
			'edit_item'          => __( 'Edit Client', 'simvoicing' ),
			'new_item'           => __( 'New Client', 'simvoicing' ),
			'view_item'          => __( 'View Client', 'simvoicing' ),
			'search_items'       => __( 'Search Clients', 'simvoicing' ),
			'not_found'          => __( 'No Clients found', 'simvoicing' ),
			'not_found_in_trash' => __( 'No Clients found in trash', 'simvoicing' ),
			'all_items'          => __( 'Clients', 'simvoicing' ),
		)
		
	);
	
	/* register the setup post type */
	register_post_type(
		'wpminv_client',
		$client_args
	);
	
}

add_action( 'init', 'wpminv_team_post_type' );