<?php
/**
 * function wpminv_invoice_post_type()
 *
 * registers the custom post types for the plugin
 * @hooked init
 */
function wpminv_invoice_post_type() {
	
	/* set up the arguments for the article post type */
	$invoice_args = array(
		
		'description'			=> '',
		'public'				=> true,
		'publicly_queryable'	=> true,
		'show_in_nav_menus'		=> true,
		'show_in_admin_bar'		=> true,
		'exclude_from_search'	=> true,
		'show_ui'				=> true,
		'show_in_menu'			=> false,
		'can_export'			=> true,
		'delete_with_user'		=> false,
		'hierarchical'			=> false,
		'has_archive'			=> false,
		'menu_icon'				=> 'dashicons-money',
		'query_var'				=> 'wpminv_invoice',
		'menu_position'			=> 34,
		
		/* The rewrite handles the URL structure */
		'rewrite' => array(
			'slug' => 'invoices'
		),
		
		/* what features the post type supports */
		'supports' => array(
			'slug',
		),
		
		/* Labels used when displaying the posts */
		'labels' => array(
			'name'               => __( 'Invoices', 'simvoicing' ),
			'singular_name'      => __( 'Invoice', 'simvoicing' ),
			'menu_name'          => __( 'Invoices', 'simvoicing' ),
			'add_new'            => __( 'Add New', 'simvoicing' ),
			'add_new_item'       => __( 'Add New Invoice', 'simvoicing' ),
			'edit_item'          => __( 'Edit Invoice', 'simvoicing' ),
			'new_item'           => __( 'New Invoice', 'simvoicing' ),
			'view_item'          => __( 'View Invoice', 'simvoicing' ),
			'search_items'       => __( 'Search Invoices', 'simvoicing' ),
			'not_found'          => __( 'No Invoices found', 'simvoicing' ),
			'not_found_in_trash' => __( 'No Invoices found in trash', 'simvoicing' ),
			'all_items'          => __( 'Invoices', 'simvoicing' ),
		)
		
	);
	
	/* register the setup post type */
	register_post_type(
		'wpminv_invoice',
		$invoice_args
	);
	
}

add_action( 'init', 'wpminv_invoice_post_type' );