<div class="invoice-col invoice-col-half invoice-from">
	
	<h3 class="our-details-title"><?php _e( 'Our Details', 'simvoicing' ); ?></h3>
	
	<?php
		
		/* get the company name */
		$company_name = wpminv_get_setting( 'company_name' );
		
		/* do we have a company name */
		if( $company_name != '' ) {
			
			?>
			<p class="invoicefrom"><span class="wpminv-label">From:</span> <?php echo esc_html( $company_name ); ?></p>
			<?php
			
		}
		
		/* get the company address */
		$company_address = wpminv_get_setting( 'company_address' );
		
		/* do we have a company address */
		if( $company_address != '' ) {
			
			?>
			<p class="company-address"><?php echo wpautop( $company_address ); ?></p>
			<?php
			
		}
		
		/* get the company email */
		$company_email = wpminv_get_setting( 'contact_email' );
		
		/* do we have a company email */
		if( $company_email != '' ) {
			
			?>
			<p class="company-email"><span class="wpminv-label">Email:</span> <?php echo esc_html( $company_email ); ?></p>
			<?php
			
		}
		
		/* get the company tel */
		$company_tel = wpminv_get_setting( 'contact_tel' );
		
		/* do we have a company tel */
		if( $company_tel != '' ) {
			
			?>
			<p class="company-email"><span class="wpminv-label">Tel:</span> <?php echo esc_html( $company_tel ); ?></p>
			<?php
			
		}
		
	?>
	
</div><!-- invoice-from -->

<div class="invoice-col invoice-col-half invoice-payment-details">
	
	<h3 class="payment-details-title"><?php _e( 'How to Pay', 'simvoicing' ); ?></h3>
	
	<?php
		
		/* get the payment details intro text */
		$payment_details_intro = wpminv_get_setting( 'payment_details_intro' );
		
		/* do we have any payment intro details */
		if( $payment_details_intro != '' ) {
			
			/* output the payment details intro text */
			echo '<div class="payment-details-intro">' . wpautop( $payment_details_intro ) . '</div>';
			
		}
		
		$payment_details = '<li class="payment-details-data reference"><span class="wpminv-label">' . __( 'Payment Reference', 'simvoicing' ) . ':</span> ' . wpminv_get_invoice_reference() . '</li>';
		
		/* get the bank sort code number */
		$bank_sort_code = wpminv_get_setting( 'bank_sort_code' );
		
		/* if we have a bank sort code number */
		if( $bank_sort_code != '0' ) {
			
			$payment_details .= '<li class="payment-details-data bank-sort-code"><span class="wpminv-label">' . __( 'Sort Code', 'simvoicing' ) . ':</span> ' . esc_html( $bank_sort_code ) . '</li>';
			
		}
		
		/* get the bank account number */
		$bank_account_no = wpminv_get_setting( 'bank_account_number' );
		
		/* if we have a bank account number */
		if( $bank_account_no != '0' ) {

			$payment_details .= '<li class="payment-details-data bank-account-number"><span class="wpminv-label">' . __( 'Account Number', 'simvoicing' ) . ':</span> ' . intval( $bank_account_no ) . '</li>';
			
		}
		
		/* have we got payment details output */
		if( $payment_details != '' ) {
			
			?>
			<ul class="payment-details-list"><?php echo $payment_details; ?></ul>
			<?php
			
		}
		
	?>
	
</div><!-- invoice-payment-details -->

<div class="wpminv-cf"></div>