<?php
	
	/* get the currency symbol for this invoice */
	$currency = wpminv_get_currency( $post->ID );
	
	/* get the invoice tax rate */
	$tax_rate = wpminv_get_invoice_tax_rate( $post->ID );
	
	/* get the invoice items */
	$items = wpminv_get_invoice_items( $post->ID );
	
	/* do we have any items to output */
	if( ! empty( $items ) ) {
		
		?>
		
		<div class="invoice-items-wrapper" id="invoice-items-wrapper-<?php the_ID(); ?>">
			
			<table class="invoice-items">
				
				<thead class="invoice-items-head">
					<tr>
						<th class="quantity-head"><?php _e( 'Quantity', 'simvoicing' ); ?></th>
						<th class="desc-head"><?php _e( 'Description', 'simvoicing' ); ?></th>
						<th class="price-head"><?php _e( 'Price / Item', 'simvoicing' ); ?></th>
						<th class="total-head"><?php _e( 'Total', 'simvoicing' ); ?></th>
					</tr>
				</thead>
				
				<tbody class="invoice-items-body">
					
					<?php
						
						/* start a counter */
						$i = 0;
						
						/* store total price */
						$invoice_total = '';
						
						/* loop through each of the items */
						foreach( $items as $item ) {
							
							/* increment counter */
							$i++;
							
							//echo '<pre>'; var_dump( $item ); echo '</pre>';
							
							?>
							
							<tr class="invoice-row invoice-row-<?php echo esc_attr( $i ); ?>">
								
								<td class="invoice-quantity"><?php echo esc_html( $item[ 'quantity' ] ); ?></td>
								<td class="invoice-desc"><?php echo esc_html( $item[ 'description' ] ); ?></td>
								<td class="invoice-price"><?php echo $currency; echo esc_html( $item[ 'price' ] ); ?></td>
								<td class="invoice-row-total"><?php echo $currency; echo $item[ 'price' ] * $item[ 'quantity' ]; ?></td>
								
							</tr>
							
							<?php
								
							/* add this rows total to the total for the invoice */
							$invoice_total = $invoice_total + $item[ 'price' ] * $item[ 'quantity' ];
							
						} // end loop through invoice items
						
					?>
					
				</tbody>
				
				<tfoot class="invoice-items-foot">
					
					<tr class="spacer"></tr>
										
					<tr class="invoice-row invoice-row-subtotal">
								
						<td class="invoice-quantity"></td>
						<td class="invoice-desc"></td>
						<td class="invoice-price"><?php _e( 'Sub Total', 'simvoicing' ); ?></td>
						<td class="invoice-row-total"><?php echo $currency . $invoice_total; ?></td>
						
					</tr>
					
					<?php

						/* if the tax rate is not zero */
						if( $tax_rate != '0' ) {
							
							$tax_rate_decimal = $tax_rate / 100;
							$tax_rate_for_calculation = $tax_rate_decimal + 1;
							
							/* calculate the amount of tax payable */
							$invoice_tax = $invoice_total * $tax_rate_decimal;
							
							?>
							
							<tr class="invoice-row invoice-row-tax">
								
								<td class="invoice-quantity"></td>
								<td class="invoice-desc"></td>
								<td class="invoice-price"><?php _e( 'VAT', 'simvoicing' ); ?></td>
								<td class="invoice-row-total"><?php echo $currency . $invoice_tax; ?></td>
								
							</tr>
							
							<?php
						
						/* no tax rate set */
						} else {
							
							/* set invoice tax amount to zero */
							$invoice_tax = 0;
							
						}
						
						/* calculate the invoice total */
						$invoice_total = $invoice_total + $invoice_tax;
						
					?>
					
					<tr class="invoice-row invoice-row-invoice-total">
								
						<td class="invoice-quantity"></td>
						<td class="invoice-desc"></td>
						<td class="invoice-price"><?php _e( 'Total', 'simvoicing' ); ?></td>
						<td class="invoice-row-total"><?php echo $currency . $invoice_total; ?></td>
						
					</tr>
					
				</tfoot>
				
			</table>
			
		</div><!-- // invoice-items-wrapper -->
		
		<?php
		
	} // end if have items
	
?>